org.minidns.dnsname

## Class InvalidDnsNameException.LabelTooLongException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.minidns.dnsname.InvalidDnsNameException
          - - org.minidns.dnsname.InvalidDnsNameException.LabelTooLongException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    InvalidDnsNameException

      public static class InvalidDnsNameException.LabelTooLongException
      extends InvalidDnsNameException

  Exception thrown when a DNS label exceeds the maximum allowed length.
  DNS labels are limited to 63 characters according to DNS specifications.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.minidns.dnsname.InvalidDnsNameException

      `InvalidDnsNameException.DNSNameTooLongException, InvalidDnsNameException.LabelTooLongException`

  - ### Field Summary

    - ### Fields inherited from class org.minidns.dnsname.InvalidDnsNameException

      `ace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabelTooLongException(String ace, String label)` Creates a new LabelTooLongException.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelTooLongException

          public LabelTooLongException(String ace,
                                       String label)

      Creates a new LabelTooLongException.
      Parameters:
        `ace` - the ASCII-encoded domain name
        `label` - the specific label that is too long

  - ### Method Detail

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`